package cn.com.countrygarden.bi.main.dto.wcx;

import java.util.Date;

/**
 *  g公告图片文件
 *
 *  @author ferren
 */
public class WcxNoticeFile {
    private String fileId; // varchar(36) NOT NULL COMMENT '图片表主键',
    private String fileUrl; // varchar(450) NULL DEFAULT NULL COMMENT '图片路径',
    private String fileName; // varchar(36) NULL DEFAULT NULL COMMENT '图片表源文件名称',
    private String fileType; // char(1) NULL,
    private Integer orderNo; // int(11) NULL COMMENT '排序码',
    private String noticeId; // varchar(36) NULL DEFAULT NULL COMMENT '公告主键',
    private String status; // char(1) NULL DEFAULT NULL COMMENT '状态 0 未启用 1启用',
    private Date createDate; // datetime NULL DEFAULT NULL COMMENT '创建日期',
    private String suggestId; //提议表主键
    private String replyId;  //回复表主键

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public Integer getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(Integer orderNo) {
        this.orderNo = orderNo;
    }

    public String getNoticeId() {
        return noticeId;
    }

    public void setNoticeId(String noticeId) {
        this.noticeId = noticeId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getSuggestId() {
        return suggestId;
    }

    public void setSuggestId(String suggestId) {
        this.suggestId = suggestId;
    }

    public String getReplyId() {
        return replyId;
    }

    public void setReplyId(String replyId) {
        this.replyId = replyId;
    }
}
